import java.awt.*;
import java.io.*;

public class JFiraFont {

	private Font fontReal 	= null;
	
	public	Font font12 	= null;
	public	Font font14 	= null;
	public	Font font16 	= null;
	public	Font font18 	= null;
	public	Font font20 	= null;
	public	Font font22 	= null;
	public	Font font24 	= null;
	public	Font font26 	= null;
	
	private static final JFiraFont OBJ = new JFiraFont(); 
	public static JFiraFont getInstance() { return OBJ; }

	private JFiraFont() {

		fontReal = loadFont("FiraSans-Medium.ttf");

		font12 = fontReal.deriveFont(12f);
		font14 = fontReal.deriveFont(14f);
		font16 = fontReal.deriveFont(16f);
		font18 = fontReal.deriveFont(18f);
		font20 = fontReal.deriveFont(20f);
		font22 = fontReal.deriveFont(22f);
		font24 = fontReal.deriveFont(24f);
		font26 = fontReal.deriveFont(26f);
	
	}

	private Font loadFont(String filename) {
		Font f = null;
		try {
			InputStream is = new BufferedInputStream(this.getClass().getResourceAsStream("/font/" + filename));
			f = Font.createFont(Font.TRUETYPE_FONT, is);
			is.close();
		} catch (FontFormatException | IOException e) {
			System.out.println(e.getMessage());
		}
		return f;
	}

}
