import java.io.*;
import java.awt.*;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;
import java.awt.image.*;
import javax.swing.*;
import javax.swing.border.*;
import javax.imageio.*;

public class JShowButton extends JToggleButton implements ChangeListener {

	ImageIcon icon1 = null;
	ImageIcon icon2 = null;

	public JShowButton(String n1, String n2) {
		super("");
		try {
			Image image1 = ImageIO.read(getClass().getResource("/pic/"+n1+".png"));
			Image image2 = ImageIO.read(getClass().getResource("/pic/"+n2+".png"));
			icon1 = new ImageIcon(image1);
			icon2 = new ImageIcon(image2);
			setIcon(icon2);
			setAlignmentX(JButton.CENTER);
			addChangeListener(this);
			setBackground(null);
			setBorder( null );
			setContentAreaFilled(false);
			setOpaque(false);
			setFocusPainted(false);

		} catch(IOException e) { e.printStackTrace();	}
	}

	public Dimension getMinimumSize() {
		Dimension size = getPreferredSize();
		return size;
	}

	public void stateChanged (ChangeEvent event){
	
		if ( isSelected() ) {
			setIcon(icon1);
			setOpaque(true);
		} else {
			setIcon(icon2);
			setOpaque(false);
		}
		
	}
	
}
