import java.io.*;
import java.awt.*;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;
import java.awt.image.*;
import javax.swing.*;
import javax.swing.border.*;
import javax.imageio.*;

public class JActionButton extends JButton {

	protected static Border bpressed = new BevelBorder(BevelBorder.LOWERED);
	protected static Color  cpressed = new Color(196,194,189);
	protected static Dimension groesse = new Dimension(36,36);

	public JActionButton(String name) {
		super("");
		try {
			Image image = ImageIO.read(getClass().getResource("/pic/"+name+".png"));
			setIcon(new ImageIcon(image));
			setPreferredSize(groesse);
			setMinimumSize(groesse);
			setMaximumSize(groesse);
			setSize(groesse);
			setBorder( null );
			setOpaque(false);
			setContentAreaFilled(false);
			setFocusPainted(false);
			setAlignmentX(JButton.CENTER);
		} catch(IOException e) { e.printStackTrace(); }
	}
	
}
