import java.util.*;
import java.awt.*;
import java.awt.font.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import java.net.URL;

public class JLinkLabel extends JLabel implements MouseListener {

	public JLinkLabel(String s, int o) {
		super(s,o);
		setMaximumSize(new Dimension(9999,getPreferredSize().height));
		setForeground( Color.BLUE );
		Font font = getFont();
		Map attributes = font.getAttributes();
		attributes.put(TextAttribute.UNDERLINE, TextAttribute.UNDERLINE_ON);
		setFont(font.deriveFont(attributes));

		addMouseListener(this);
	}

	public void mousePressed(MouseEvent e) {
	}


    public void mouseReleased(MouseEvent e) {
	}


    public void mouseEntered(MouseEvent e) {
		setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
	}


    public void mouseExited(MouseEvent e) {
		setCursor(Cursor.getDefaultCursor());
	}

    public void mouseClicked(MouseEvent e) {
		
		Desktop desktop = Desktop.getDesktop();
        try {
			desktop.browse(new URL("http://"+getText()).toURI());
        } catch (Exception ex) {
            ex.printStackTrace();
        }
	}

}
