import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

public class JWheelSlider   extends JSlider
							implements MouseWheelListener {

	public JWheelSlider(int orientation, int min, int max, int value) {
		super(orientation, min, max, value);
		addMouseWheelListener(this);
	}

	public void mouseWheelMoved(MouseWheelEvent e) {
        int notches = e.getWheelRotation();
        if (notches < 0) {

			if ( getValue() + getMinorTickSpacing() <= getMaximum() ) {
				setValue(getValue() + getMinorTickSpacing() );
			} else {
				setValue( getMaximum() );
			}

        } else {

			if ( getValue() - getMinorTickSpacing() >= getMinimum() ) {
				setValue(getValue() - getMinorTickSpacing() );
			} else {
				setValue( getMinimum() );
			}

        }
    }
    
}
